precision mediump float;

varying vec2 vTexturePosition;
uniform sampler2D texture;
uniform float redFactor;
uniform float greenFactor;
uniform float blueFactor;

uniform int filterType;

void main() {
     vec4 color = texture2D(texture,vTexturePosition);

    color.r = color.r * redFactor;
    color.g = color.g * greenFactor;
    color.b = color.b * blueFactor;

    if(filterType == 1){// 反色
        color = vec4(vec3(1.0 - color), 1.0);
    }else if(filterType == 2){// 黑白
        color = vec4(vec3(color.r,color.r,color.r), 1.0);
    }else if(filterType == 0){// 正常，不需要处理

    }
    gl_FragColor = color;
}

